Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackMidiBufferReadQueue Class Reference

`#include <JackMidiBufferReadQueue.h>`

Inheritance diagram for Jack::JackMidiBufferReadQueue:

## Public Member Functions
jack_midi_event_t * | DequeueEvent ()
void | ResetMidiBuffer (JackMidiBuffer *buffer)

## Detailed Description

Wrapper class to present a JackMidiBuffer in a read queue interface.

Definition at line 31 of file JackMidiBufferReadQueue.h.

## Member Function Documentation

## ◆ DequeueEvent()

jack_midi_event_t * JackMidiBufferReadQueue::DequeueEvent | ( |  | ) |
| virtual

Dequeues an event from the queue. Returns the event, or 0 if no events are available for reading.

An event dequeued from the read queue is guaranteed to be valid up until another event is dequeued, at which all bets are off. Make sure that you handle each event you dequeue before dequeueing the next event.

Implements Jack::JackMidiReadQueue.

Definition at line 33 of file JackMidiBufferReadQueue.cpp.

## ◆ ResetMidiBuffer()

void JackMidiBufferReadQueue::ResetMidiBuffer | ( | JackMidiBuffer * | buffer | ) |

This method must be called each period to reset the MIDI buffer for processing.

Definition at line 48 of file JackMidiBufferReadQueue.cpp.

The documentation for this class was generated from the following files:

- JackMidiBufferReadQueue.h
- JackMidiBufferReadQueue.cpp